socket.io+springboot+nginx 5C

springboot写的socket.io服务器端如何部署的,nginx需要如何配置,是否可以用域名链接socket?

1个回答

Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
其他相关推荐
socket.io+springboot+nginx
springboot写的socket.io服务器端如何部署的,nginx需要如何配置,是否可以用域名链接socket?
ubuntu16.04+nginx+uwsgi部署flask项目
ubuntu+nginx+uwsgi部署flask项目 启动uwsgi时报错 ![图片说明](https://img-ask.csdn.net/upload/201909/10/1568120498_466197.png) 这是uwsgi配置文件 ![图片说明](https://img-ask.csdn.net/upload/201909/10/1568120570_631163.jpg) 这是nginx配置文件 ![图片说明](https://img-ask.csdn.net/upload/201909/10/1568120618_22683.jpg) 这是目录结构
Ubuntu 14.04 TLS Nginx RTMP 测试记录和提问?
参考文章: https://blog.csdn.net/u011298145/article/details/78883598 问题描述: 1、添加nginx-rtmp-module-master时,最后一行报错 ``` root@cccsq-server:/var/www/html/nginx-rtmp/nginx-1.7.5# ./configure --prefix=/usr/local/nginx --add-module=/usr/local/nginx-rtmp-module --with-http_ssl_module --with-http_flv_module --with-http_mp4_module checking for OS + Linux 3.13.0-79-lowlatency x86_64 checking for C compiler ... found + using GNU C compiler + gcc version: 4.8.4 (Ubuntu 4.8.4-2ubuntu1~14.04.4) checking for gcc -pipe switch ... found checking for gcc builtin atomic operations ... found checking for C99 variadic macros ... found checking for gcc variadic macros ... found checking for unistd.h ... found checking for inttypes.h ... found checking for limits.h ... found checking for sys/filio.h ... not found checking for sys/param.h ... found checking for sys/mount.h ... found checking for sys/statvfs.h ... found checking for crypt.h ... found checking for Linux specific features checking for epoll ... found checking for EPOLLRDHUP ... found checking for O_PATH ... found checking for sendfile() ... found checking for sendfile64() ... found checking for sys/prctl.h ... found checking for prctl(PR_SET_DUMPABLE) ... found checking for sched_setaffinity() ... found checking for crypt_r() ... found checking for sys/vfs.h ... found checking for nobody group ... not found checking for nogroup group ... found checking for poll() ... found checking for /dev/poll ... not found checking for kqueue ... not found checking for crypt() ... not found checking for crypt() in libcrypt ... found checking for F_READAHEAD ... not found checking for posix_fadvise() ... found checking for O_DIRECT ... found checking for F_NOCACHE ... not found checking for directio() ... not found checking for statfs() ... found checking for statvfs() ... found checking for dlopen() ... not found checking for dlopen() in libdl ... found checking for sched_yield() ... found checking for SO_SETFIB ... not found checking for SO_ACCEPTFILTER ... not found checking for TCP_DEFER_ACCEPT ... found checking for TCP_KEEPIDLE ... found checking for TCP_FASTOPEN ... found checking for TCP_INFO ... found checking for accept4() ... found checking for int size ... 4 bytes checking for long size ... 8 bytes checking for long long size ... 8 bytes checking for void * size ... 8 bytes checking for uint64_t ... found checking for sig_atomic_t ... found checking for sig_atomic_t size ... 4 bytes checking for socklen_t ... found checking for in_addr_t ... found checking for in_port_t ... found checking for rlim_t ... found checking for uintptr_t ... uintptr_t found checking for system byte ordering ... little endian checking for size_t size ... 8 bytes checking for off_t size ... 8 bytes checking for time_t size ... 8 bytes checking for setproctitle() ... not found checking for pread() ... found checking for pwrite() ... found checking for sys_nerr ... found checking for localtime_r() ... found checking for posix_memalign() ... found checking for memalign() ... found checking for mmap(MAP_ANON|MAP_SHARED) ... found checking for mmap("/dev/zero", MAP_SHARED) ... found checking for System V shared memory ... found checking for POSIX semaphores ... not found checking for POSIX semaphores in libpthread ... found checking for struct msghdr.msg_control ... found checking for ioctl(FIONBIO) ... found checking for struct tm.tm_gmtoff ... found checking for struct dirent.d_namlen ... not found checking for struct dirent.d_type ... found checking for sysconf(_SC_NPROCESSORS_ONLN) ... found checking for openat(), fstatat() ... found checking for getaddrinfo() ... found configuring additional modules adding module in /usr/local/nginx-rtmp-module **./configure: error: no /usr/local/nginx-rtmp-module/config was found** ``` 意思好像说,没有找到这个config 文件,这个路径下面本来就没有这个文件啊,之前没有加载这么多模块的时候,也没有报错。 在末尾添加如下 配置 rtmp {     server {             listen 1935;             chunk_size 4096;             application live {                     live on;                     record off; hls on;   hls_path /usr/share/nginx/html/hls;   hls_fragment 2s;                     exec ffmpeg -i rtmp://localhost/live/$name -threads 1 -c:v libx264 -profile:v baseline -b:v 350K -s 640x360 -f flv -c:a aac -ac 1 -strict -2 -b:a 56k rtmp://localhost/live360p/$name;             }             application live360p {               #该挂载点为360p的压缩画面                     live on;                     record off;         } application hls360p {     #个人测试,单独开放的rtmp+hls360p挂载点和hls2挂载点的360p hls流                 live on;                   hls on;                   hls_path /usr/share/nginx/html/hls2;   hls_fragment 2s;             }       } } 在末尾添加这个,启动ng报错,第108或者109或者110行, 那一行的指令是 server { } ,不知道什么情况。 root@cccsq-server:/var/www/html/nginx-rtmp/nginx-1.7.5# service nginx start * Starting Nginx Server... nginx: [emerg] unknown directive " " in /usr/local/nginx/conf/nginx.conf:119
配置nginx的时候Syntax error: newline unexpected
# sudo service nginx start /etc/init.d/nginx: 2: /etc/init.d/nginx: Syntax error: newline unexpected 这是什么原因?
安装nginx,添加它为系统服务,nano /etc/init.d/nginx添加的配置代码看不懂
#!/bin/sh # # nginx - this script starts and stops the nginx daemon # # chkconfig: - 85 15 # description: Nginx is an HTTP(S) server, HTTP(S) reverse \ # proxy and IMAP/POP3 proxy server # processname: nginx # config: /data/nginx/nginx.conf # config: /etc/sysconfig/nginx # pidfile: /var/run/nginx.pid # Source function library. . /etc/rc.d/init.d/functions # Source networking configuration. . /etc/sysconfig/network # Check that networking is up. [ "$NETWORKING" = "no" ] && exit 0 nginx="/data/nginx/sbin/nginx" prog=$(basename $nginx) NGINX_CONF_FILE="/data/nginx/conf/nginx.conf" [ -f /etc/sysconfig/nginx ] && . /etc/sysconfig/nginx lockfile=/var/lock/subsys/nginx start() { [ -x $nginx ] || exit 5 [ -f $NGINX_CONF_FILE ] || exit 6 echo -n $"Starting $prog: " daemon $nginx -c $NGINX_CONF_FILE retval=$? echo [ $retval -eq 0 ] && touch $lockfile return $retval } stop() { echo -n $"Stopping $prog: " killproc $prog -QUIT retval=$? echo [ $retval -eq 0 ] && rm -f $lockfile return $retval killall -9 nginx } restart() { configtest || return $? stop sleep 1 start } reload() { configtest || return $? echo -n $"Reloading $prog: " killproc $nginx -HUP RETVAL=$? echo } force_reload() { restart } configtest() { $nginx -t -c $NGINX_CONF_FILE } rh_status() { status $prog } rh_status_q() { rh_status >/dev/null 2>&1 } case "$1" in start) rh_status_q && exit 0 $1 ;; stop) rh_status_q || exit 0 $1 ;; restart|configtest) $1 ;; reload) rh_status_q || exit 7 $1 ;; force-reload) force_reload ;; status) rh_status ;; condrestart|try-restart) rh_status_q || exit 0 ;; *) echo $"Usage: $0 {start|stop|status|restart|condrestart|try-restart|reload|force-reload|configtest}" exit 2 esac 请有空的大神指导下几个主要步骤的作用(详细的当然更好),先谢过啦!本人是纯新手,只知道一点简单命令,对着文档知其然而不知其所以然,真心很苦恼。。。。。。
nginx.pid 不见了,nginx启动失败
公司搬家,机器没有关好。 后来启动机器上的nginx(openresty中集成的nginx),但是启动会卡住,如果nginx -s reload,机会如下图 ![图片说明](https://img-ask.csdn.net/upload/201710/10/1507627990_857418.png) 网上的解决办法是nginx -c ....../nginx/conf/nginx.conf,但是还是会卡住不动,希望大佬神指点。 第一次提问,以前没有C币的意识,仅有1个铜板,见谅见谅
nginx1.17.4下编译安装openssl+nginx-upload-module-2.3.0报错
nginx 版本 1.17.4 使用命令: ./configure --with-pcre=../pcre-8.43 --with-zlib=../zlib-1.2.11 --with-stream --with-http_stub_status_module --add-module=../nginx-upload-module-2.3.0 --with-openssl=../openssl-fips-2.0.16 --with-http_ssl_module make时会报错提示: ![图片说明](https://img-ask.csdn.net/upload/201911/26/1574753562_652830.png)
java.net.SocketException: socket closed
返回的httpresponse 内容如下 HTTP/1.1 200 OK [Server: zhihu_nginx, Date: Sun, 29 Sep 2013 02:08:35 GMT, Content-Type: application/json, Transfer-Encoding: chunked, Connection: keep-alive, Vary: Accept-Encoding, Expires: Fri, 02 Jan 2000 00:00:00 GMT, Pragma: no-cache, Cache-Control: private, no-store, max-age=0,no-cache, must-revalidate, post-check=0, pre-check=0] 报错如下: Exception in thread "main" java.net.SocketException: socket closed at java.net.SocketInputStream.socketRead0(Native Method) at java.net.SocketInputStream.read(Unknown Source) at java.net.SocketInputStream.read(Unknown Source) at org.apache.http.impl.io.SessionInputBufferImpl.streamRead(SessionInputBufferImpl.java:136) at org.apache.http.impl.io.SessionInputBufferImpl.fillBuffer(SessionInputBufferImpl.java:152) at org.apache.http.impl.io.SessionInputBufferImpl.read(SessionInputBufferImpl.java:203) at org.apache.http.impl.io.ChunkedInputStream.read(ChunkedInputStream.java:174) at org.apache.http.conn.EofSensorInputStream.read(EofSensorInputStream.java:137) at java.util.zip.InflaterInputStream.fill(Unknown Source) at java.util.zip.InflaterInputStream.read(Unknown Source) at java.util.zip.GZIPInputStream.read(Unknown Source) at sun.nio.cs.StreamDecoder.readBytes(Unknown Source) at sun.nio.cs.StreamDecoder.implRead(Unknown Source) at sun.nio.cs.StreamDecoder.read(Unknown Source) at java.io.InputStreamReader.read(Unknown Source) at java.io.Reader.read(Unknown Source) at org.apache.http.util.EntityUtils.toString(EntityUtils.java:244) at org.apache.http.util.EntityUtils.toString(EntityUtils.java:288) at zhihu.ZhihuDownload.getAnswersList(ZhihuDownload.java:138) at zhihu.ZhihuDownload.main(ZhihuDownload.java:54)
Nginx启动时service nginx start出现错误
命令service nginx start 出现错误 Starting nginx (via systemctl):  Job for nginx.service failed because the control process exited with error code. See "systemctl status nginx.service" and "journalctl -xe" for details.                                                            [FAILED] 然后查看详情systemctl status nginx.service systemctl status nginx.service ● nginx.service - SYSV: Nginx is an HTTP(S) server, HTTP(S) reverse proxy and IMAP/POP3 proxy server    Loaded: loaded (/etc/rc.d/init.d/nginx; bad; vendor preset: disabled)    Active: failed (Result: exit-code) since Sun 2019-07-07 15:51:25 CST; 8s ago      Docs: man:systemd-sysv-generator(8)   Process: 22685 ExecStart=/etc/rc.d/init.d/nginx start (code=exited, status=5)Jul 07 15:51:25 iZwz9gionemu6x0y9pvxihZ systemd[1]: Starting SYSV: Nginx is an HTTP(S) server, HTTP(S) reverse proxy and IMAP/POP3...ver... Jul 07 15:51:25 iZwz9gionemu6x0y9pvxihZ systemd[1]: nginx.service: control process exited, code=exited status=5 Jul 07 15:51:25 iZwz9gionemu6x0y9pvxihZ systemd[1]: Failed to start SYSV: Nginx is an HTTP(S) server, HTTP(S) reverse proxy and IM...erver. Jul 07 15:51:25 iZwz9gionemu6x0y9pvxihZ systemd[1]: Unit nginx.service entered failed state. Jul 07 15:51:25 iZwz9gionemu6x0y9pvxihZ systemd[1]: nginx.service failed. 是什么问题啊
使用docker下载镜像失败
使用虚拟机中的centos7上的docker下载镜像时老是不行![图片说明](https://img-ask.csdn.net/upload/201910/21/1571661514_903235.png) [root@localhost ~]# docker pull nginx Using default tag: latest Trying to pull repository docker.io/library/nginx ... Get https://registry-1.docker.io/v2/: net/http: request canceled while waiting for connection (Client.Timeout exceeded while awaiting headers)
本地开发环境配置Nginx最高并发数只能达到500,怎么解决呢?
本地开发环境配置Nginx最高并发数只能达到500,请帮忙看看,下面是配置文件: ​![图片说明](https://img-ask.csdn.net/upload/202001/06/1578278161_112716.png) 使用apache-jmeter-5.2.1做压力测试,下面是压测日志信息1: java.net.SocketException: Connection reset     at java.net.SocketInputStream.read(Unknown Source)     at java.net.SocketInputStream.read(Unknown Source)     at org.apache.http.impl.io.SessionInputBufferImpl.streamRead(SessionInputBufferImpl.java:137)     at org.apache.http.impl.io.SessionInputBufferImpl.fillBuffer(SessionInputBufferImpl.java:153)     at org.apache.http.impl.io.SessionInputBufferImpl.readLine(SessionInputBufferImpl.java:280)     at org.apache.http.impl.conn.DefaultHttpResponseParser.parseHead(DefaultHttpResponseParser.java:138)     at org.apache.http.impl.conn.DefaultHttpResponseParser.parseHead(DefaultHttpResponseParser.java:56)     at org.apache.http.impl.io.AbstractMessageParser.parse(AbstractMessageParser.java:259)     at org.apache.http.impl.DefaultBHttpClientConnection.receiveResponseHeader(DefaultBHttpClientConnection.java:163)     at org.apache.http.impl.conn.CPoolProxy.receiveResponseHeader(CPoolProxy.java:157)     at org.apache.http.protocol.HttpRequestExecutor.doReceiveResponse(HttpRequestExecutor.java:273)     at org.apache.http.protocol.HttpRequestExecutor.execute(HttpRequestExecutor.java:125)     at org.apache.http.impl.execchain.MainClientExec.execute(MainClientExec.java:272)     at org.apache.http.impl.execchain.ProtocolExec.execute(ProtocolExec.java:186)     at org.apache.http.impl.execchain.RetryExec.execute(RetryExec.java:89)     at org.apache.http.impl.execchain.RedirectExec.execute(RedirectExec.java:110)     at org.apache.http.impl.client.InternalHttpClient.doExecute(InternalHttpClient.java:185)     at org.apache.http.impl.client.CloseableHttpClient.execute(CloseableHttpClient.java:83)     at org.apache.jmeter.protocol.http.sampler.HTTPHC4Impl.executeRequest(HTTPHC4Impl.java:850)     at org.apache.jmeter.protocol.http.sampler.HTTPHC4Impl.sample(HTTPHC4Impl.java:561)     at org.apache.jmeter.protocol.http.sampler.HTTPSamplerProxy.sample(HTTPSamplerProxy.java:67)     at org.apache.jmeter.protocol.http.sampler.HTTPSamplerBase.sample(HTTPSamplerBase.java:1282)     at org.apache.jmeter.protocol.http.sampler.HTTPSamplerBase.sample(HTTPSamplerBase.java:1271)     at org.apache.jmeter.threads.JMeterThread.doSampling(JMeterThread.java:627)     at org.apache.jmeter.threads.JMeterThread.executeSamplePackage(JMeterThread.java:551)     at org.apache.jmeter.threads.JMeterThread.processSampler(JMeterThread.java:490)     at org.apache.jmeter.threads.JMeterThread.run(JMeterThread.java:257)     at java.lang.Thread.run(Unknown Source) 下面是压测日志信息2: <html> <head><title>500 Internal Server Error</title></head> <body> <center><h1>500 Internal Server Error</h1></center> <hr><center>nginx/1.15.9</center> </body> </html>
CentOS7.2+Django1.8+Nginx+uwsgi部署
部署后出现如下错误: ![图片说明](https://img-ask.csdn.net/upload/201901/30/1548836504_150440.png) 该怎么解决?
disucz x3.2 nginx 如何批量做301重定向
discuz x3.2 我把帖子伪静态为/{id}/1/1/thread.html 原来的伪静态是/thread-{id}-1-1.html 在nginx下我如何把/thread-{id}-1-1.html 全部 做301重定向 到/{id}/1/1/thread.html rewrite ^([^\.]*)/([0-9]+)/([0-9]+)/([0-9]+)/thread\.html$ $1/forum.php?mod=viewthread&tid=$2&extra=page%3D$4&page=$3 last;
hive 里面不能split lzo的文件,这是怎么回事?
创建testlzo表 ``` CREATE external TABLE `testlzo`( xxxx) row format delimited fields terminated by '|' STORED AS INPUTFORMAT "com.hadoop.mapred.DeprecatedLzoTextInputFormat" OUTPUTFORMAT "org.apache.hadoop.hive.ql.io.HiveIgnoreKeyTextOutputFormat" LOCATION '/nginx/testlzo'; ``` 执行查询 ``` select count(*) from testlzo; ``` 没有建索引时 ``` $ hadoop fs -du -s -h /nginx/testlzo/* 427.8 M 1.3 G /nginx/testlzo/123.lzo Hadoop job information for Stage-1: number of mappers: 1; number of reducers: 1 1679356 ``` 建立索引 ``` hadoop jar hadoop/share/hadoop/common/hadoop-lzo-0.4.20.jar com.hadoop.compression.lzo.DistributedLzoIndexer /nginx/testlzo/123.lzo $ hadoop fs -du -s -h /nginx/testlzo/* 427.8 M 1.3 G /nginx/testlzo/123.lzo 32.0 K 96.0 K /nginx/testlzo/123.lzo.index Hadoop job information for Stage-1: number of mappers: 2; number of reducers: 1 1679759 ``` 可以看到 并没有hive 并没有split lzo文件,并且还把index文件算进去了,这是怎么回事? 并且,使用stream方式,是可以split的 ``` hadoop jar hadoop-mapreduce-examples-2.6.0-cdh5.4.5.jar wordcount -Dmapreduce.job.inputformat.class=com.hadoop.mapreduce.LzoTextInputFormat /nginx/testlzo/123.lzo /tmp/2019081401 执行这句的时候,可以看到split 4 ,确实是可以分割的,但是hive为什么没有分割了? hive的版本是2.3.5 ```
springboot项目配置nginx 访问404
启动一个springboot项目,server配置如下: ![图片说明](https://img-ask.csdn.net/upload/201806/07/1528333909_783649.png) 启动后访问成功,如下:![图片说明](https://img-ask.csdn.net/upload/201806/07/1528333966_257683.png) 配置nginx 代理,配置文件如下: ![图片说明](https://img-ask.csdn.net/upload/201806/07/1528333994_574451.png) 按域名访问,报404,如下: ![图片说明](https://img-ask.csdn.net/upload/201806/07/1528334032_727260.png) 问题:我将`proxy_pass` 属性换成 `http://127.0.0.1:8800/store` 也没有用,而且还有另一个问题,普通web项目(非springboot) 配置tomcat的application-context为/device,用nginx代理后为这样, ![图片说明](https://img-ask.csdn.net/upload/201806/07/1528334194_543946.png) 只需输入https://mainapi.icarbonx.com/device/ 就可以访问了,然而https://mainapi.icarbonx.com/device/会代理到http://127.0.0.1:25355,不是应该再加上/device才可以吗? 求大神解答!!!
关于php5.6nts+nginx 下 redis安装和php扩展
在win7 x64环境下关于php5.6+nginx 下 redis安装和php扩展。 我的是php5.6.27 nts 在每次启用时总是提示无法找到并加载。如图 ![图片说明](https://img-ask.csdn.net/upload/201710/13/1507880056_614740.png) 可是我明明是有配置php.ini和把php_redis.dll,php_igbinary.dll放到对应的ext中。为什么还是这样报错呢? 我的redis是3.0.503版的.各位大神有碰到类似的情况嘛? 或者有相关的redis和扩展下载嘛?跪求~~~ 其他同事都可以就我不行,同样都是phpstudy。为啥他们可以使用,而我的就不能加载呢?
虚拟机版本CentOS Linux release 7.6.1810 (Core)下离线安装keepalived+nginx+supervisor
如题, 求大神帮忙整理:在一台纯净的linux虚拟机centos7.6.1810版本下 离线安装keepalived+nginx的rpm包整理(不能使用任何在线安装的方式 rpm yum)整理好之后可以私我发我整理好之后的包,也可以直接回答, 我确认可以安装后确认采纳,分不多,希望有大神帮个忙。 另外对版本的要求是希望版本号越高越好,keepalived2.0以上,nginx也尽 可能新一些,据我所述目前keepalived最新版是2.0.18,nginx最新版是1.17.3 supervisor是4.0.4, 不要求都是最新版,尽可能版本号高一点。可以把keepalived+nginx 和supervisor的rpm依赖包分开。
nginx代理静态文件的问题
如果使用nginx代理静态文件,是否一定要求nginx和静态文件处于同一台服务器 例如:192.138.132.100 nginx服务器 192.138.132.101 静态文件服务器 这样可以么?
hive表合并文件与预期不一致?没有分割为128M的文件
``` 外建表 test7 数据放在 /nginx/log4 ~# hadoop fs -du -s -h /nginx/log4/* 58.5 M 175.4 M /nginx/log4/000000_0.gz 58.5 M 175.4 M /nginx/log4/000000_1.gz 58.5 M 175.4 M /nginx/log4/000000_2.gz 58.5 M 175.4 M /nginx/log4/000000_3.gz ``` 想法是,把这些文件合并压缩为128M大小的文件,减少文件数量, 运算后,应该生成两个文件 128M + 106M ``` # hive 表执行 set hive.exec.compress.output=true; set mapred.output.compress=true; set mapred.output.compression.codec=org.apache.hadoop.io.compress.GzipCodec; set io.compression.codecs=org.apache.hadoop.io.compress.GzipCodec; set hive.merge.size.per.task=134217728; set mapred.max.split.size=134217728; create table test8 as select * from test7; ``` ``` 生成的test8 的数据目录在 /hive/test8 ~# hadoop fs -du -s -h /hive/test8/* 116.2 M 348.5 M /hive/test8/000000_0.gz 58.1 M 174.2 M /hive/test8/000001_0.gz 58.1 M 174.2 M /hive/test8/000002_0.gz ``` 问题来了,为什么没有按照预想的那样,合并成128M 的gz文件和 100多M的gz文件?
Nginx配置正则匹配问题
系统环境与版本: CentOS6.5+Nginx1.8.1+Pcre8.38 问题描述: 升级前版本centos5.6+nginx1.0.15+pcre8.12 升级前nginx.conf中使用正则匹配: location ~* ^/([a-zA-Z0-9]+)dmpp/t.gif 升级后需这么写:location ~* /^\/([a-zA-Z0-9]+)dmpp\/t\.gif/ 这是怎么回事? 另外对参数字符串进行长度匹配不生效是怎么回事? 如升级前版本:$arg_id ~ '^[0-9A-Z]{18}$' 升级后无法加长度匹配,真是不清楚怎么回事,也搜索不到相关信息。
爬虫福利二 之 妹子图网MM批量下载
爬虫福利一:27报网MM批量下载 点击 看了本文,相信大家对爬虫一定会产生强烈的兴趣,激励自己去学习爬虫,在这里提前祝:大家学有所成! 目标网站:妹子图网 环境:Python3.x 相关第三方模块:requests、beautifulsoup4 Re:各位在测试时只需要将代码里的变量path 指定为你当前系统要保存的路径,使用 python xxx.py 或IDE运行即可。 ...
Java学习的正确打开方式
在博主认为,对于入门级学习java的最佳学习方法莫过于视频+博客+书籍+总结,前三者博主将淋漓尽致地挥毫于这篇博客文章中,至于总结在于个人,实际上越到后面你会发现学习的最好方式就是阅读参考官方文档其次就是国内的书籍,博客次之,这又是一个层次了,这里暂时不提后面再谈。博主将为各位入门java保驾护航,各位只管冲鸭!!!上天是公平的,只要不辜负时间,时间自然不会辜负你。 何谓学习?博主所理解的学习,它是一个过程,是一个不断累积、不断沉淀、不断总结、善于传达自己的个人见解以及乐于分享的过程。
大学四年自学走来,这些私藏的实用工具/学习网站我贡献出来了
大学四年,看课本是不可能一直看课本的了,对于学习,特别是自学,善于搜索网上的一些资源来辅助,还是非常有必要的,下面我就把这几年私藏的各种资源,网站贡献出来给你们。主要有:电子书搜索、实用工具、在线视频学习网站、非视频学习网站、软件下载、面试/求职必备网站。 注意:文中提到的所有资源,文末我都给你整理好了,你们只管拿去,如果觉得不错,转发、分享就是最大的支持了。 一、电子书搜索 对于大部分程序员...
linux系列之常用运维命令整理笔录
本博客记录工作中需要的linux运维命令,大学时候开始接触linux,会一些基本操作,可是都没有整理起来,加上是做开发,不做运维,有些命令忘记了,所以现在整理成博客,当然vi,文件操作等就不介绍了,慢慢积累一些其它拓展的命令,博客不定时更新 free -m 其中:m表示兆,也可以用g,注意都要小写 Men:表示物理内存统计 total:表示物理内存总数(total=used+free) use...
比特币原理详解
一、什么是比特币 比特币是一种电子货币,是一种基于密码学的货币,在2008年11月1日由中本聪发表比特币白皮书,文中提出了一种去中心化的电子记账系统,我们平时的电子现金是银行来记账,因为银行的背后是国家信用。去中心化电子记账系统是参与者共同记账。比特币可以防止主权危机、信用风险。其好处不多做赘述,这一层面介绍的文章很多,本文主要从更深层的技术原理角度进行介绍。 二、问题引入 假设现有4个人...
程序员接私活怎样防止做完了不给钱?
首先跟大家说明一点,我们做 IT 类的外包开发,是非标品开发,所以很有可能在开发过程中会有这样那样的需求修改,而这种需求修改很容易造成扯皮,进而影响到费用支付,甚至出现做完了项目收不到钱的情况。 那么,怎么保证自己的薪酬安全呢? 我们在开工前,一定要做好一些证据方面的准备(也就是“讨薪”的理论依据),这其中最重要的就是需求文档和验收标准。一定要让需求方提供这两个文档资料作为开发的基础。之后开发...
网页实现一个简单的音乐播放器(大佬别看。(⊙﹏⊙))
今天闲着无事,就想写点东西。然后听了下歌,就打算写个播放器。 于是乎用h5 audio的加上js简单的播放器完工了。 演示地点演示 html代码如下` music 这个年纪 七月的风 音乐 ` 然后就是css`*{ margin: 0; padding: 0; text-decoration: none; list-...
Python十大装B语法
Python 是一种代表简单思想的语言,其语法相对简单,很容易上手。不过,如果就此小视 Python 语法的精妙和深邃,那就大错特错了。本文精心筛选了最能展现 Python 语法之精妙的十个知识点,并附上详细的实例代码。如能在实战中融会贯通、灵活使用,必将使代码更为精炼、高效,同时也会极大提升代码B格,使之看上去更老练,读起来更优雅。
数据库优化 - SQL优化
以实际SQL入手,带你一步一步走上SQL优化之路!
2019年11月中国大陆编程语言排行榜
2019年11月2日,我统计了某招聘网站,获得有效程序员招聘数据9万条。针对招聘信息,提取编程语言关键字,并统计如下: 编程语言比例 rank pl_ percentage 1 java 33.62% 2 cpp 16.42% 3 c_sharp 12.82% 4 javascript 12.31% 5 python 7.93% 6 go 7.25% 7 p...
通俗易懂地给女朋友讲:线程池的内部原理
餐盘在灯光的照耀下格外晶莹洁白,女朋友拿起红酒杯轻轻地抿了一小口,对我说:“经常听你说线程池,到底线程池到底是个什么原理?”
经典算法(5)杨辉三角
杨辉三角 是经典算法,这篇博客对它的算法思想进行了讲解,并有完整的代码实现。
腾讯算法面试题:64匹马8个跑道需要多少轮才能选出最快的四匹?
昨天,有网友私信我,说去阿里面试,彻底的被打击到了。问了为什么网上大量使用ThreadLocal的源码都会加上private static?他被难住了,因为他从来都没有考虑过这个问题。无独有偶,今天笔者又发现有网友吐槽了一道腾讯的面试题,我们一起来看看。 腾讯算法面试题:64匹马8个跑道需要多少轮才能选出最快的四匹? 在互联网职场论坛,一名程序员发帖求助到。二面腾讯,其中一个算法题:64匹...
面试官:你连RESTful都不知道我怎么敢要你?
干货,2019 RESTful最贱实践
JDK12 Collectors.teeing 你真的需要了解一下
前言 在 Java 12 里面有个非常好用但在官方 JEP 没有公布的功能,因为它只是 Collector 中的一个小改动,它的作用是 merge 两个 collector 的结果,这句话显得很抽象,老规矩,我们先来看个图(这真是一个不和谐的图????): 管道改造经常会用这个小东西,通常我们叫它「三通」,它的主要作用就是将 downstream1 和 downstre...
为啥国人偏爱Mybatis,而老外喜欢Hibernate/JPA呢?
关于SQL和ORM的争论,永远都不会终止,我也一直在思考这个问题。昨天又跟群里的小伙伴进行了一番讨论,感触还是有一些,于是就有了今天这篇文。 声明:本文不会下关于Mybatis和JPA两个持久层框架哪个更好这样的结论。只是摆事实,讲道理,所以,请各位看官勿喷。 一、事件起因 关于Mybatis和JPA孰优孰劣的问题,争论已经很多年了。一直也没有结论,毕竟每个人的喜好和习惯是大不相同的。我也看...
SQL-小白最佳入门sql查询一
不要偷偷的查询我的个人资料,即使你再喜欢我,也不要这样,真的不好;
项目中的if else太多了,该怎么重构?
介绍 最近跟着公司的大佬开发了一款IM系统,类似QQ和微信哈,就是聊天软件。我们有一部分业务逻辑是这样的 if (msgType = "文本") { // dosomething } else if(msgType = "图片") { // doshomething } else if(msgType = "视频") { // doshomething } else { // doshom...
【图解经典算法题】如何用一行代码解决约瑟夫环问题
约瑟夫环问题算是很经典的题了,估计大家都听说过,然后我就在一次笔试中遇到了,下面我就用 3 种方法来详细讲解一下这道题,最后一种方法学了之后保证让你可以让你装逼。 问题描述:编号为 1-N 的 N 个士兵围坐在一起形成一个圆圈,从编号为 1 的士兵开始依次报数(1,2,3…这样依次报),数到 m 的 士兵会被杀死出列,之后的士兵再从 1 开始报数。直到最后剩下一士兵,求这个士兵的编号。 1、方...
致 Python 初学者
欢迎来到“Python进阶”专栏!来到这里的每一位同学,应该大致上学习了很多 Python 的基础知识,正在努力成长的过程中。在此期间,一定遇到了很多的困惑,对未来的学习方向感到迷茫。我非常理解你们所面临的处境。我从2007年开始接触 python 这门编程语言,从2009年开始单一使用 python 应对所有的开发工作,直至今天。回顾自己的学习过程,也曾经遇到过无数的困难,也曾经迷茫过、困惑过。开办这个专栏,正是为了帮助像我当年一样困惑的 Python 初学者走出困境、快速成长。希望我的经验能真正帮到你
“狗屁不通文章生成器”登顶GitHub热榜,分分钟写出万字形式主义大作
一、垃圾文字生成器介绍 最近在浏览GitHub的时候,发现了这样一个骨骼清奇的雷人项目,而且热度还特别高。 项目中文名:狗屁不通文章生成器 项目英文名:BullshitGenerator 根据作者的介绍,他是偶尔需要一些中文文字用于GUI开发时测试文本渲染,因此开发了这个废话生成器。但由于生成的废话实在是太过富于哲理,所以最近已经被小伙伴们给玩坏了。 他的文风可能是这样的: 你发现,...
程序员:我终于知道post和get的区别
是一个老生常谈的话题,然而随着不断的学习,对于以前的认识有很多误区,所以还是需要不断地总结的,学而时习之,不亦说乎
GitHub标星近1万:只需5秒音源,这个网络就能实时“克隆”你的声音
作者 | Google团队 译者 | 凯隐 编辑 | Jane 出品 | AI科技大本营(ID:rgznai100) 本文中,Google 团队提出了一种文本语音合成(text to speech)神经系统,能通过少量样本学习到多个不同说话者(speaker)的语音特征,并合成他们的讲话音频。此外,对于训练时网络没有接触过的说话者,也能在不重新训练的情况下,仅通过未知...
《程序人生》系列-这个程序员只用了20行代码就拿了冠军
你知道的越多,你不知道的越多 点赞再看,养成习惯GitHub上已经开源https://github.com/JavaFamily,有一线大厂面试点脑图,欢迎Star和完善 前言 这一期不算《吊打面试官》系列的,所有没前言我直接开始。 絮叨 本来应该是没有这期的,看过我上期的小伙伴应该是知道的嘛,双十一比较忙嘛,要值班又要去帮忙拍摄年会的视频素材,还得搞个程序员一天的Vlog,还要写BU...
加快推动区块链技术和产业创新发展,2019可信区块链峰会在京召开
11月8日,由中国信息通信研究院、中国通信标准化协会、中国互联网协会、可信区块链推进计划联合主办,科技行者协办的2019可信区块链峰会将在北京悠唐皇冠假日酒店开幕。   区块链技术被认为是继蒸汽机、电力、互联网之后,下一代颠覆性的核心技术。如果说蒸汽机释放了人类的生产力,电力解决了人类基本的生活需求,互联网彻底改变了信息传递的方式,区块链作为构造信任的技术有重要的价值。   1...
程序员把地府后台管理系统做出来了,还有3.0版本!12月7号最新消息:已在开发中有github地址
第一幕:缘起 听说阎王爷要做个生死簿后台管理系统,我们派去了一个程序员…… 996程序员做的梦: 第一场:团队招募 为了应对地府管理危机,阎王打算找“人”开发一套地府后台管理系统,于是就在地府总经办群中发了项目需求。 话说还是中国电信的信号好,地府都是满格,哈哈!!! 经常会有外行朋友问:看某网站做的不错,功能也简单,你帮忙做一下? 而这次,面对这样的需求,这个程序员...
网易云6亿用户音乐推荐算法
网易云音乐是音乐爱好者的集聚地,云音乐推荐系统致力于通过 AI 算法的落地,实现用户千人千面的个性化推荐,为用户带来不一样的听歌体验。 本次分享重点介绍 AI 算法在音乐推荐中的应用实践,以及在算法落地过程中遇到的挑战和解决方案。 将从如下两个部分展开: AI算法在音乐推荐中的应用 音乐场景下的 AI 思考 从 2013 年 4 月正式上线至今,网易云音乐平台持续提供着:乐屏社区、UGC...
【技巧总结】位运算装逼指南
位算法的效率有多快我就不说,不信你可以去用 10 亿个数据模拟一下,今天给大家讲一讲位运算的一些经典例子。不过,最重要的不是看懂了这些例子就好,而是要在以后多去运用位运算这些技巧,当然,采用位运算,也是可以装逼的,不信,你往下看。我会从最简单的讲起,一道比一道难度递增,不过居然是讲技巧,那么也不会太难,相信你分分钟看懂。 判断奇偶数 判断一个数是基于还是偶数,相信很多人都做过,一般的做法的代码如下...
【管理系统课程设计】美少女手把手教你后台管理
【文章后台管理系统】URL设计与建模分析+项目源码+运行界面 栏目管理、文章列表、用户管理、角色管理、权限管理模块(文章最后附有源码) 1. 这是一个什么系统? 1.1 学习后台管理系统的原因 随着时代的变迁,现如今各大云服务平台横空出世,市面上有许多如学生信息系统、图书阅读系统、停车场管理系统等的管理系统,而本人家里就有人在用烟草销售系统,直接在网上完成挑选、购买与提交收货点,方便又快捷。 试想,若没有烟草销售系统,本人家人想要购买烟草,还要独自前往药...
4G EPS 第四代移动通信系统
目录 文章目录目录4G 与 LTE/EPCLTE/EPC 的架构E-UTRANE-UTRAN 协议栈eNodeBEPCMMES-GWP-GWHSSLTE/EPC 协议栈概览 4G 与 LTE/EPC 4G,即第四代移动通信系统,提供了 3G 不能满足的无线网络宽带化,主要提供数据(上网)业务。而 LTE(Long Term Evolution,长期演进技术)是电信领域用于手机及数据终端的高速无线通...
相关热词 c# 输入ip c# 乱码 报表 c#选择结构应用基本算法 c# 收到udp包后回包 c#oracle 头文件 c# 序列化对象 自定义 c# tcp 心跳 c# ice连接服务端 c# md5 解密 c# 文字导航控件
立即提问